<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div [ngClass]="[type === 'vertical' ? '' : 'flex-col w-full', 'h-full flex w-full']">
  <div
    class="rounded-sm max-w-fit overflow-x-hidden p-0.5 shrink-0"
    [ngClass]="{ 'bg-lightGrey': light, 'bg-secondary-800': dark }"
  >
    <div [ngClass]="[type === 'horizontal' ? 'overflow-x-auto gap-0.5' : 'flex-col', 'flex gap-1 p-1']">
      <ng-template *ngIf="leading" [ngTemplateOutlet]="leading"></ng-template>
      <div *ngFor="let item of menuItems$ | async">
        <div class="w-52 text-center">
          <div
            class="rounded-sm p-2 cursor-pointer border border-borderGrey"
            [ngClass]="
              light
                ? {
                  'bg-white border-borderGrey': activeItem === item,
                  'hover:bg-whitesmoke border-transparent': activeItem !== item,
                }
                : {
                    'bg-secondary-900 border-secondary-700': activeItem === item,
                    'hover:bg-secondary-700 border-transparent': activeItem !== item,
                  }
            "
            (click)="selectItem(item)"
          >
            <div class="break-words">
              <ng-container *ngIf="item.labelComponent">
                <ng-container *ngTemplateOutlet="item.labelComponent.labelContent"> </ng-container>
              </ng-container>
              <ng-container *ngIf="!item.labelComponent">
                {{ item.label }}
              </ng-container>
            </div>
          </div>
        </div>
      </div>
      <ng-template *ngIf="trailing" [ngTemplateOutlet]="trailing"></ng-template>
    </div>
  </div>
  <div *ngIf="activeItem && activeItem.bodyComponent" class="grow w-full overflow-y-auto">
    <ng-container>
      <ng-container *ngTemplateOutlet="activeItem.bodyComponent.bodyContent"> </ng-container>
    </ng-container>
  </div>
</div>
